---
layout: docs
page_title: 'Commands: node meta read'
description: |
  The node meta read command reads node metadata.
---

# Command: node meta read

Read a node's metadata. This command only works on client agents. The node
status command can be used to retrieve node metadata from any agent.

Changes via the "node meta apply" subcommand are batched and may take up to
10 seconds to propagate to the servers and affect scheduling. This command
will always return the most recent node metadata while the "node status"
command can be used to view the metadata that is currently being used for
scheduling.

This command uses the [`/v1/client/metadata` HTTP API][api].

## Usage

```plaintext
nomad node meta read [-json] [-node-id ...]
```

## General Options

@include 'general_options.mdx'

## Node Meta Read Options

- `-node-id` - Reads metadata on the specified node. If not specified the
  node receiving the request will be used by default.

- `-json` - Output the node metadata in its JSON format.

- `-t` : Format and display node using a Go template.

## Example

```shell-session
$ nomad node meta read -node-id 3b58b0a6

All Meta
connect.gateway_image     = docker.io/envoyproxy/envoy:v${NOMAD_envoy_version}
connect.log_level         = info
connect.proxy_concurrency = 1
connect.sidecar_image     = docker.io/envoyproxy/envoy:v${NOMAD_envoy_version}
example                   = a

Dynamic Meta
example = a

Static Meta
connect.gateway_image     = docker.io/envoyproxy/envoy:v${NOMAD_envoy_version}
connect.log_level         = info
connect.proxy_concurrency = 1
connect.sidecar_image     = docker.io/envoyproxy/envoy:v${NOMAD_envoy_version}
```

[api]: /nomad/api-docs/client#read-node-metadata
